package initialize

import (
	"gitea.pena/PenaSide/codeword/internal/adapters/client"
	"go.uber.org/zap"
)

func RecoveryEmailSender(cfg Config, logger *zap.Logger) *client.RecoveryEmailSender {
	return client.NewRecoveryEmailSender(client.RecoveryEmailSenderDeps{
		ApiUrl:      cfg.ExternalCfg.MailClientCfg.ApiURL,
		Sender:      cfg.ExternalCfg.MailClientCfg.Sender,
		ApiKey:      cfg.ExternalCfg.MailClientCfg.ApiKey,
		Logger:      logger,
		RecoveryUrl: cfg.MailRecoveryURL,
	})
}

func AuthClient(cfg Config, logger *zap.Logger) *client.AuthClient {
	return client.NewAuthClient(client.AuthClientDeps{
		AuthUrl: cfg.AuthMicroserviceURL,
		Logger:  logger,
	})
}
