package models

type AllFields struct {
	CtxUserIP      string
	CtxUserPort    string
	KeyDomain      string
	KeyPath        string
	CtxID          string
	CtxUserID      string
	KeyType        string
	CtxFactor      float64
	KeyTargetType  string
	CtxTarget      string
	CtxAmount      int64
	CtxCode        string
	CtxPromocodeID string
	CtxReturnURL   string
	CtxEmail       string
}

type InfoPromocodeCreated struct {
	CtxID         string  //айдишник созданного промокода
	CtxUserID     string  //айдишник юзера из токена
	KeyType       string  //привилегия или скидка. или и то и другое, смотря что заполнено
	CtxFactor     float64 //множитель скидки
	KeyTargetType string  //privilege или service
	CtxTarget     string  // айдишник привилегии или сервиса соответственно
	CtxAmount     int64   // если промик на привилегию
	CtxCode       string
}
type InfoFastlinkCreated struct {
	CtxID          string //айдишник созданного промокода
	CtxPromocodeID string //айдишник созданного промокода
	CtxUserID      string //айдишник юзера из токена
}
type InfoPromocodeDeleted struct {
	CtxID     string //айдишник созданного промокода
	CtxUserID string //айдишник юзера из токена
}
type InfoPromocodeUpdated struct {
	CtxID         string  //айдишник промокода
	CtxUserID     string  //айдишник юзера из токена
	KeyType       string  //привилегия или скидка. или и то и другое, смотря что заполнено
	CtxFactor     float64 //множитель скидки
	KeyTargetType string  //privilege или service
	CtxTarget     string  // айдишник привилегии или сервиса соответственно
	CtxAmount     int64   // если промик на привилегию
	CtxCode       string
}
type InfoPromocodeActivated struct {
	CtxID     string //айдишник промокода
	CtxUserID string //айдишник юзера из токена
	CtxCode   string
}
type InfoFastlinkActivated struct {
	CtxID          string //айдишник промокода
	CtxUserID      string //айдишник юзера из токена
	CtxPromocodeID string //айдишник созданного промокода
}
type InfoPromocodeExhausted struct {
	CtxID string //айдишник промокода
}
type InfoPromocodeDeadlined struct {
	CtxID string //айдишник промокода
}
type InfoPasswordRestorationRequested struct {
	CtxID        string //айдишник промокода
	CtxUserID    string //айдишник юзера из токена
	CtxReturnURL string // ссылка на восстановление пароля
	CtxEmail     string
}
type InfoPasswordRestored struct {
	CtxID     string //айдишник промокода
	CtxUserID string //айдишник юзера из токена
}
